%global srcname pytest
%global pylib_version 1.4.29

Name:           python3-pytest
Version:        2.8.5
Release:        2%{?dist}
Summary:        Simple powerful testing with Python

License:        MIT
URL:            http://pytest.org
Source0:        https://github.com/pytest-dev/pytest/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-sphinx
# For sphinx
BuildRequires:  python-py
BuildRequires:  python-docutils
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-py >= %{pylib_version}

# used by the testsuite, if present:
# if pexpect is present, the testsuite fails on F19 due to
# http://bugs.python.org/issue17998
#BuildRequires:  python%{python3_pkgversion}-pexpect
BuildRequires:  python%{python3_pkgversion}-mock


%description
py.test provides simple, yet powerful testing for Python.


%package -n python%{python3_pkgversion}-pytest
Summary:        Simple powerful testing with Python
Requires:       python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-py >= %{pylib_version}

%description -n python%{python3_pkgversion}-pytest
py.test provides simple, yet powerful testing for Python.


%prep
%setup -q -n %{srcname}-%{version}


%build
%{py3_build}
for l in doc/* ; do
  make -C $l html PYTHONPATH=$(pwd)
done


%install
%{py3_install}
ln -snf py.test-%{python3_version} %{buildroot}%{_bindir}/py.test-3
rm %{buildroot}%{_bindir}/py.test

# remove shebangs from all scripts
find %{buildroot}%{python3_sitelib} -name '*.py' \
     -exec sed -i -e '1{/^#!/d}' {} \;

mkdir -p _htmldocs/html
for l in doc/* ; do
  # remove hidden file
  rm ${l}/_build/html/.buildinfo
  mv ${l}/_build/html _htmldocs/html/${l##doc/}
done

rst2html README.rst > README.html


%check
PATH=%{buildroot}%{_bindir}:${PATH} \
PYTHONPATH=%{buildroot}%{python3_sitelib} \
  %{buildroot}%{_bindir}/py.test-%{python3_version} -r s testing


%files -n python%{python3_pkgversion}-pytest
%doc CHANGELOG
%doc README.html
%doc _htmldocs/html
%license LICENSE
%{_bindir}/py.test-3
%{_bindir}/py.test-%{python3_version}
%{python3_sitelib}/*


%changelog
* Wed Dec 30 2015 Orion Poplawski <orion@cora.nwra.com> - 2.8.5-2
- Use github tarball for source

* Wed Dec 30 2015 Orion Poplawski <orion@cora.nwra.com> - 2.8.5-1
- Intiial EPEL package
